package com.reptileclient.jlifeapp.dao.jz;

import com.reptileclient.jlifeapp.entity.jz.HmRightsItem;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface HmRightsItemMapper {
    int deleteByPrimaryKey(Long id);

    int insert(HmRightsItem record);

    int insertSelective(HmRightsItem record);

    HmRightsItem selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(HmRightsItem record);

    int updateByPrimaryKey(HmRightsItem record);

    int updateBatch(List<HmRightsItem> list);

    int updateBatchSelective(List<HmRightsItem> list);

    int batchInsert(@Param("list") List<HmRightsItem> list);
}